package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag292;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT292Creator;

public class Tag11SCreator extends AbsTagCreate {
    private MT292Creator mt292Creator;

    public Tag11SCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt292Creator= (MT292Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11SValue = mt292Creator.getMTandDateoftheOriginalMessage();
        mt292Creator.set("11S", tag11SValue);
    }
}
